## juju-core 1.10.0.1

=== debian/changelog ===
juju-core (1.10.0.1-0ubuntu1~ubuntu13.04.1) raring-backports; urgency=low

  [ James Page ]
  * Initial release (LP: #1172215).

  [ Mark Mims ]
  * Install alternatives for juju, jujud and juju.1 manpages for
    co-installability with juju package.

  [ Dave Cheney ]
  * Initial packaging.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Apr 2013 22:34:47 +0100
