=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), golang-go, python
Standards-Version: 3.9.4
Homepage: http://launchpad.net/juju-core

Package: juju-core
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
