=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOPATH:=$(CURDIR)
export PATH:=$(GOPATH)/bin:$(PATH)

PKGDIR:=debian/juju-core
VERSION:=$(shell sed -n 's/^const version = "\(.*\)"/\1/p' $(GOPATH)/src/launchpad.net/juju-core/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

%:
	dh $@

debian/juju-core.postinst: debian/juju-core.postinst.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

debian/juju-core.prerm: debian/juju-core.prerm.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm
	go install -v launchpad.net/juju-core/cmd/juju
	go install -v launchpad.net/juju-core/cmd/jujud
	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
	dh_auto_install

override_dh_auto_clean:
	rm -rf debian/juju-core.prerm debian/juju-core.postinst bin juju.1
	dh_auto_clean
