## juju-core 1.16.0

=== debian/changelog ===
juju-core (1.16.0-0ubuntu1) saucy; urgency=low

  * New upstream stable release (LP: #1219879).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Oct 2013 18:07:45 +0100

juju-core (1.14.1-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Fri, 20 Sep 2013 22:06:08 +0100

juju-core (1.14.0-0ubuntu1) saucy; urgency=low

  * New upstream stable release (stabilization of 1.13 series).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Sep 2013 13:43:12 +0100

juju-core (1.13.3-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2013 14:22:22 +0100

juju-core (1.13.2-0ubuntu2) saucy; urgency=low

  * d/control,d/tests/*: Add DEP-8 tests for basic client validation
    and local provider setup/query/teardown. 

 -- James Page <james.page@ubuntu.com>  Tue, 27 Aug 2013 19:43:34 +0100

juju-core (1.13.2-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Sun, 25 Aug 2013 22:12:09 +0100

juju-core (1.13.1-0ubuntu2) saucy; urgency=low

  * d/juju-core.postinst.in: Fixup broken alternatives install for
    juju-metadata.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2013 09:30:17 +0100

juju-core (1.13.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Build and install juju metadata plugin.
    - d/NEWS: Add some guidance on upgrading environments from 1.11.x
      to 1.13.x.
  * d/NEWS: Add details about lack of upgrade path from juju < 1.11
    and how to interact with older juju environments.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Aug 2013 16:02:16 +0100

juju-core (1.12.0-0ubuntu1) saucy; urgency=low

  [ Christopher Glass ]
  * d/juju-core.bash-completion,control: Add bash completion support for the
    juju command.

  [ James Page ]
  * New upstream release.
  * d/juju-core.lintian-overrides.in,rules: Template generation of lintian
    overrides using upstream version.
  * d/control: Drop Suggests: mongodb-server for juju-core package in
    preference of new dependency package for local provider.

  [ Zhengpeng Hou ]
  * d/control: Added a dependency package to install dependencies for the
    local provider (LP: #1204131).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2013 09:57:32 +0100

juju-core (1.11.4-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/copyright: Drop section for go-curl.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jul 2013 08:51:44 +0100

juju-core (1.11.3-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/control: Suggest mongodb-server for use with local provider.
    - d/NEWS: Notify users about the local provider.
  * d/rules: Don't strip binaries - this can have undesirable side
    effects with the golang compiler.
  * d/juju-core.lintian-overrides: Override errors for static linking
    and un-stripped binaries as these are intentional.
  * d/rules: Use xz compression to reduce size of debs now that binaries
    are not stripped.
  * d/copyright: Added copyright and licensing information for go-curl.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jul 2013 11:36:48 +0100

juju-core (1.11.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Make juju-core the default juju (LP: #1190634):
    - d/control: Add virtual package juju -> juju-core.
    - d/juju-core.postinst.in: Bump priority of alternatives over that of
      python juju packages.
  * Enable for all architectures (LP: #1172505):
    - d/control: Version BD on golang-go to >= 2:1.1.1 to ensure CGO
      support for non-x86 archs, make juju-core Arch: any.
    - d/README.source: Dropped - no longer required.
  * d/watch: Updated for new upstream tarball naming.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2013 17:18:27 +0100

juju-core (1.10.0.1-0ubuntu3) saucy; urgency=low

  * d/control,README.source: restrict target architectures to amd64 & i386,
    add documentation to detail why this is the case. 

 -- James Page <james.page@ubuntu.com>  Mon, 29 Apr 2013 12:24:49 +0100

juju-core (1.10.0.1-0ubuntu2) saucy; urgency=low

  * d/control: Mark as conflicting with juju < 0.7-0ubuntu1 (LP: #1172911).
  * d/control: Add missing ${shlibs:Depends} to juju-core (LP: #1172504).

 -- James Page <james.page@ubuntu.com>  Mon, 29 Apr 2013 11:36:22 +0100
