=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 debian/juju-core.postinst: debian/juju-core.postinst.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
@@ -21,15 +21,28 @@
 debian/juju-core.prerm: debian/juju-core.prerm.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
 
-override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm
+debian/juju-core.lintian-overrides: debian/juju-core.lintian-overrides.in
+	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
+
+override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm debian/juju-core.lintian-overrides
 	go install -v launchpad.net/juju-core/cmd/juju
+	go install -v launchpad.net/juju-core/cmd/plugins/juju-metadata
 	go install -v launchpad.net/juju-core/cmd/jujud
 	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
 	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
+	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
 	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
 	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
 	dh_auto_install
 
 override_dh_auto_clean:
-	rm -rf debian/juju-core.prerm debian/juju-core.postinst bin juju.1
+	rm -rf debian/juju-core.prerm debian/juju-core.postinst debian/juju-core.lintian-overrides bin juju.1
 	dh_auto_clean
+
+# Don't strip golang compiled binaries as this does
+# not function correctly
+override_dh_strip:
+	:
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
