=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 bash-completion,
 debhelper (>= 7.0.50~),
 golang-go (>= 2:1.1.1),
 python
Standards-Version: 3.9.4
Homepage: http://launchpad.net/juju-core
XS-Testsuite: autopkgtest

Package: juju-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: juju (<< 0.7-0ubuntu1~)
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: all
Depends: juju-core (>= ${source:Version}), ${misc:Depends}
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.

Package: juju-local
Architecture: all
Depends:
 juju-core (>= ${source:Version}),
 lxc,
 mongodb-server,
 ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using LXC containers.
