=== debian/changelog ===
juju-core (1.18.1-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - Upgrading juju 1.16.6 -> 1.18.x fails (LP: #1299802).
    - Peer relation disappears during juju-upgrade (LP: #1303697).
    - public-address of units changes to internal bridge post upgrade
      (LP: #1303735).
    - Unable to deploy local charms without series (LP: #1303880).
    - juju scp no longer allows multiple extra arguments to be passed
      (LP: #1306208).
    - juju cannot downgrade to same major.minor version with earlier
      patch number (LP: #1306296).

 -- James Page <james.page@ubuntu.com>  Sat, 12 Apr 2014 07:04:37 +0100

juju-core (1.18.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1287147), including fixes for:
    - maas/lxc: LXC permission denied issue (LP: #1299588).
    - core: mega-watcher for machines does not include container
      addresses (LP: #1301464).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Apr 2014 18:24:59 +0100

juju-core (1.17.7-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - no debug log with all providers on Ubuntu 14.04 (LP: #1294776).
  * d/control: Add cpu-checker dependency to juju-local (LP: #1297077).

 -- James Page <james.page@ubuntu.com>  Fri, 28 Mar 2014 08:58:42 +0000

juju-core (1.17.6-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - br0 not bought up by cloud-init with MAAS provider (LP: #1271144).
    - ppc64el enablement for juju/lxc (LP: #1273769).
    - juju userdata should not restart networking (LP: #1248283).
    - error detecting hardware characteristics (LP: #1276909).
    - juju instances not including the default security group (LP: #1129720).
    - juju bootstrap does not honor https_proxy (LP: #1240260).
  * d/control,rules: Drop BD on bash-completion, install bash-completion
    direct from upstream source code.
  * d/rules: Set HOME prior to generating man pages.
  * d/control: Drop alternative dependency on mongodb-server; juju now only
    works on trusty with juju-mongodb.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Mar 2014 16:05:44 +0000

juju-core (1.17.4-0ubuntu2) trusty; urgency=medium

  * d/control: Add rsyslog-gnutls as dependency for juju-local package
    to support secure syslog (LP: #1285550). 

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2014 09:57:51 +0000

juju-core (1.17.4-0ubuntu1) trusty; urgency=medium

  * New upstream point release (LP: #1261628):
    - https://launchpad.net/juju-core/trunk/1.17.4
    - d/control: Prefer juju-mongodb over mongodb-server for juju-local
      package.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2014 16:53:15 +0000

juju-core (1.17.3-0ubuntu1) trusty; urgency=medium

  * New upstream point release (LP: #1271941, #834930, #1240667, #1274210):
    - https://launchpad.net/juju-core/trunk/1.17.3

 -- James Page <james.page@ubuntu.com>  Mon, 24 Feb 2014 09:19:55 +0000

juju-core (1.17.2-0ubuntu4) trusty; urgency=medium

  * No change rebuild with gccgo-4.9 as default gccgo. 

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2014 17:30:04 +0000

juju-core (1.17.2-0ubuntu3) trusty; urgency=medium

  * d/control,rules,juju-core.{postinst,prerm}.in: Drop build of gccgo built
    binaries for architectures supported by golang gc.
  * d/juju-core.postinst.in: Drop --force option when installing alternatives.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2014 11:40:31 +0000

juju-core (1.17.2-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Stop using sudo for bootstrap
    and destroy-environment calls. 

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2014 10:36:04 +0200

juju-core (1.17.2-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2014 09:22:46 +0200

juju-core (1.17.1-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Don't fail tests if ~/.juju is present as its
    created by the juju version command. 

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jan 2014 11:40:20 +0000

juju-core (1.17.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - d/p/bson-gccgo.diff: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jan 2014 09:55:40 +0000

juju-core (1.17.0-0ubuntu3) trusty; urgency=medium

  * Enable support for architectures other than x86/armhf (LP: #1261452):
    - d/control: Add BD on gccgo-go for archs that don't have golang-go,
      limit use of golang-go to supported archs only.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 21:55:12 +0000

juju-core (1.17.0-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Provide environment name when destroying
    environment inline with changes in 1.17.0, switch to using --debug
    instead of obsolete -v flag for extra output.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2014 10:40:31 +0000

juju-core (1.17.0-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - d/rules: Update for new upstream plugins/binaries.
  * Build alternative binaries using gccgo:
    - d/rules,control: Build using gccgo and golang-go.
    - d/juju-core.postinst.in,juju-core.prerm.in: Update for additional
      gccgo based binaries.
    - d/p/bson-gccgo.diff: Cherry picked fix for mgo for compat with gccgo.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2014 09:58:40 +0000

juju-core (1.16.5-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Dec 2013 10:15:56 +0000

juju-core (1.16.4-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - d/rules: Include new juju-update-bootstrap plugin.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 14:45:05 +0000

juju-core (1.16.3-0ubuntu1) trusty; urgency=low

  * New upstream release.


