=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- bash-completion,
  debhelper (>= 7.0.50~),
- golang-go (>= 2:1.1.1),
+ gccgo-go [!amd64 !i386 !armhf],
+ golang-go (>= 2:1.1.1) [amd64 i386 armhf],
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
@@ -40,9 +40,11 @@
 Package: juju-local
 Architecture: all
 Depends:
+ cpu-checker,
  juju-core (>= ${source:Version}),
+ juju-mongodb,
  lxc,
- mongodb-server,
+ rsyslog-gnutls,
  ${misc:Depends}
 Description: dependency package for the Juju local provider
  Through the use of charms, juju provides you with shareable, re-usable,
