=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with bash-completion
+	dh $@
 
 debian/juju-core.postinst: debian/juju-core.postinst.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
@@ -24,19 +24,35 @@
 debian/juju-core.lintian-overrides: debian/juju-core.lintian-overrides.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
 
+COMMON_FLAGS:= -x -v -work
+golang_archs:= amd64 i386 armhf
+ifeq (,$(filter $(DEB_HOST_ARCH), $(golang_archs)))
+# NOTE(james-page) statically link libgo for the jujud binary for gccgo
+# this allows the binary to be re-cut for upstream tool distribution and
+# mimics the behaviour of the golang gc compiler.
+JUJUD_FLAGS:= -gccgoflags -static-libgo
+endif
+
 override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm debian/juju-core.lintian-overrides
-	go install -v launchpad.net/juju-core/cmd/juju
-	go install -v launchpad.net/juju-core/cmd/plugins/juju-metadata
-	go install -v launchpad.net/juju-core/cmd/jujud
-	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/juju
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/plugins/juju-metadata
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/plugins/juju-restore
+	go install $(COMMON_FLAGS) $(JUJUD_FLAGS) launchpad.net/juju-core/cmd/jujud
+	mkdir -p debian/home
+	HOME=debian/home $(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
 	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
 	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
+	dh_install bin/juju-restore usr/lib/juju-$(VERSION)/bin
+	dh_install src/launchpad.net/juju-core/cmd/plugins/juju-backup/juju-backup usr/lib/juju-$(VERSION)/bin
 	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
 	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
+	dh_install src/launchpad.net/juju-core/etc/bash_completion.d/juju-core etc/bash_completion.d
 	dh_auto_install
 
 override_dh_auto_clean:
 	rm -rf debian/juju-core.prerm debian/juju-core.postinst debian/juju-core.lintian-overrides bin juju.1
+	rm -rf pkg bin /tmp/go-build* debian/home
+	find . -name "*.pyc" -delete || :
 	dh_auto_clean
 
 # Don't strip golang compiled binaries as this does
