=== debian/tests/control ===
Tests: client local-provider
Depends: juju, juju-local
