## juju-core 1.20.10

=== debian/changelog ===
juju-core (1.20.10-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/copyright: updated.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 17 Oct 2014 15:43:37 +0000

juju-core (1.20.8-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/copyright: updated.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 29 Sep 2014 14:54:07 +0100

juju-core (1.20.7-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/control: wrap-and-sort for parity with PPA.
  * d/copyright: update and corrections for latest upstream source.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 11 Sep 2014 18:13:12 +0100

juju-core (1.20.5-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - d/rules: adjust for move from launchpad to github
    - d/control: dependency tweaks including adding dbus (LP: #1343301)
    - d/control: recommend bash-completion for juju-core.
    - d/control: add juju-local-kvm

 -- Scott Moser <smoser@ubuntu.com>  Wed, 20 Aug 2014 15:00:12 -0400

juju-core (1.18.4+dfsg-0ubuntu1) utopic; urgency=medium

  * Repack with binary removed from source tarball. See
    debian/README.source for details.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 15 Jul 2014 15:51:38 +0000

juju-core (1.18.4-0ubuntu1) utopic; urgency=medium

  * New upstream release, including essential fixes for supporting Utopic and
    all future releases:
    - Support Utopic and future releases by using distro-info-data over
      hardcoded defaults (LP: #1314686).
    - Correctly use juju-mongodb on Trusty and all future releases, rather than
      hardcoding Trusty as special (LP: #1321025).
  * Depend on distro-info so that Juju can use its data in preference to
    hard-coded defaults (LP: #1325025).
  * d/tests/*:
    - Remove hardcoding of precise.
    - Use --upload-tools to reduce external dependencies on local and manual provider testing.
    - Add stderr logging.
    - New test for manual provider against localhost.
    - Mark tests breaks-testbed and isolation-machine so that they do not step on each other.
    - Add "future release" testing for both local and manual providers.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 06 Jun 2014 15:53:28 +0000
