=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: devel
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends:
- debhelper (>= 7.0.50~),
- gccgo-go [!amd64 !i386 !armhf],
- golang-go (>= 2:1.1.1) [amd64 i386 armhf],
- python
+Build-Depends: debhelper (>= 7.0.50~),
+               gccgo-go [!amd64 !i386 !armhf],
+               golang-go (>= 2:1.2) [amd64 i386 armhf],
+               lsb-release,
+               python
 Standards-Version: 3.9.5
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
 Package: juju-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
+Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
 Description: Juju is devops distilled - client
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -39,13 +40,14 @@
 
 Package: juju-local
 Architecture: all
-Depends:
- cpu-checker,
- juju-core (>= ${source:Version}),
- juju-mongodb,
- lxc,
- rsyslog-gnutls,
- ${misc:Depends}
+Depends: cpu-checker,
+         dbus,
+         juju-core (>= ${source:Version}),
+         lxc (>=1.0.0~alpha1-0ubuntu14),
+         lxc-templates,
+         rsyslog-gnutls,
+         ${dist:Depends},
+         ${misc:Depends}
 Description: dependency package for the Juju local provider
  Through the use of charms, juju provides you with shareable, re-usable,
  and repeatable expressions of devops best practices. You can use them
@@ -55,3 +57,23 @@
  .
  This is a dependency package for those who want to use the Juju local
  provider, allowing Juju Charms to be tested locally using LXC containers.
+
+Package: juju-local-kvm
+Architecture: all
+Depends: cpu-checker,
+         dbus,
+         juju-core (>= ${source:Version}),
+         rsyslog-gnutls,
+         uvtool,
+         uvtool-libvirt,
+         ${dist:Depends},
+         ${misc:Depends}
+Description: dependency package for the Juju local provider
+ Through the use of charms, juju provides you with shareable, re-usable,
+ and repeatable expressions of devops best practices. You can use them
+ unmodified, or easily change and connect them to fit your needs. Deploying
+ a charm is similar to installing a package on Ubuntu: ask for it and
+ it’s there, remove it and it’s completely gone.
+ .
+ This is a dependency package for those who want to use the Juju local
+ provider, allowing Juju Charms to be tested locally using KVM containers.
