=== debian/tests/control ===
Tests: client
Depends: juju
Restrictions: allow-stderr

Tests: local-provider manual-provider
Depends: juju, juju-local
Restrictions: allow-stderr breaks-testbed isolation-machine

Tests: future-local-provider future-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root
