=== debian/changelog ===
juju-core (1.20.11-0ubuntu0.14.04.1~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 06 Feb 2015 08:50:33 -0500

juju-core (1.20.11-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1386144).
  * Packaging changes relating to new upstream release:
    - d/control: add build dependency on lsb-release.
    - d/control: new binary package juju-local-kvm for local KVM support
      (new in Juju 1.20).
    - d/copyright: update for Juju 1.20.11.
    - d/rules: adjust paths in upstream source corresponding to upstream
      move from Launchpad to Github.
    - d/README.source: drop; repacking is no longer required.
  * Packaging bugfixes cherry-picked from Vivid:
    - Build with a version of libgo5 that has the 64k PAGE_SIZE fix
      (LP: #1377325).
    - d/control: add dbus dependency to juju-local (LP: #1343301).
    - d/control: depend on lxc-templates as well as lxc, since lxc only
      recommends lxc-templates so it isn't always brought in.
  * Cherry-pick changes from current upstream and Ubuntu development
    release packaging. These aren't all strictly required for Trusty,
    but given extensive production use of upstream's PPAs, this reduces
    regression risk to end users by eliminating differences between this
    Trusty SRU and what is already known to work well, as well as the
    potential for mistakes because diffs exist:
    - d/{rules,control}: generate mongodb dependency dynamically, as the
      specific binary package name required differs on older releases.
    - d/juju-core.bash-completion: drop unused code.
    - d/control: recommend bash-completion.
    - d/control: update other dependencies for Juju 1.20:
      + Bump golang-go build dependency version; this newer version is
        already available on Trusty.
      + Bump minimum version of lxc dependency; this newer version is
        already available on Trusty.
  * d/control: wrap-and-sort.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 28 Oct 2014 15:37:51 +0000

juju-core (1.18.4+dfsg-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1329302).
  * Repack with binary removed from source tarball. See
    debian/README.source for details.
  * Copy new and enhanced dep8 tests (d/tests/*) from Utopic packaging.
  * Add dependency on distro-info, so that Juju uses it for knowledge to deploy
    future releases instead of relying on its own hardcoded fallback
    (LP: #1325025).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Jul 2014 16:45:07 +0000

juju-core (1.17.3-0ubuntu2~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Feb 2014 11:29:40 -0500

juju-core (1.17.2-0ubuntu2~ctools1) precise; urgency=medium

  * d/control: make Architecture only for i386 and amd64
  * rebuild for cloud tools archive

 -- Scott Moser <smoser@ubuntu.com>  Mon, 10 Feb 2014 09:40:41 -0500

juju-core (1.17.1-0ubuntu2~ctools1) precise; urgency=medium

  * d/control, d/rules: backport for cloud tools archive. disable gcc-go
    based builds.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 30 Jan 2014 10:07:06 -0500
