=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
                gccgo-go [!amd64 !i386 !armhf],
                golang-go (>= 2:1.2) [amd64 i386 armhf],
+               libgo5 (>= 4.9.1-0ubuntu1) [!amd64 !i386 !armhf],
                lsb-release,
                python
 Standards-Version: 3.9.5
@@ -12,7 +13,7 @@
 XS-Testsuite: autopkgtest
 
 Package: juju-core
-Architecture: any
+Architecture: amd64 i386
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
@@ -27,7 +28,7 @@
  with Juju environments.
 
 Package: juju
-Architecture: all
+Architecture: amd64 i386
 Depends: juju-core (>= ${source:Version}), ${misc:Depends}
 Description: next generation service orchestration system
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -39,7 +40,7 @@
  This is a dependency package providing the current version of Juju.
 
 Package: juju-local
-Architecture: all
+Architecture: amd64 i386
 Depends: cpu-checker,
          dbus,
          juju-core (>= ${source:Version}),
