## juju-core 1.22.1

=== debian/changelog ===
juju-core (1.22.1-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (LP: #1444037).
  * Autopkgtests were changed to switch back to upstart before running their
    workload. This is needed because juju < 1.23 doesn't support systemd.
  * d/patches/fix-detect-new-release.patch: Removed because applied upstream.
  * d/copyright: Updated to reflect changes in the codebase.

 -- Oleg Strikov <oleg.strikov@canonical.com>  Tue, 14 Apr 2015 14:11:54 +0000

juju-core (1.22.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1416051).
  * d/patches/fix-detect-new-release.patch: Added upstream patch to redeem
    the ability to handle future Ubuntu releases (LP: #1427879, #1434092).
  * d/tests/fake-future.sh: New ability to generate fake /etc/os-release.
  * d/copyright: Updated to reflect changes in the codebase.
  * d/control:
    - Change build dependency from gccgo to gccgo-go.
    - Use either cloud-image-utils or cloud-utils as dependency for juju-local
      because cloud-image-utils is not available on precise.
    - Compliance to Debian Policy 3.9.6 was declared.

 -- Oleg Strikov <oleg.strikov@canonical.com>  Thu, 26 Mar 2015 15:54:39 +0300

juju-core (1.20.14-0ubuntu3) vivid; urgency=medium

  * Drop the build dependencies on gccgo-go and libgo5, build-depend on
    gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2015 22:39:45 +0100

juju-core (1.20.14-0ubuntu2) vivid; urgency=medium

  * d/control: add cloud-image-utils dependency to juju-local. Since
    lxc-templates only recommends it, it must be declared as a
    dependency for its use in the ubuntu-cloud template that Juju uses.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 17:39:08 +0000

juju-core (1.20.14-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release.
  * d/copyright: update.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 15:17:37 +0000

juju-core (1.20.11-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (LP: #1386144).
  * Build with a version of libgo5 that has the 64k PAGE_SIZE fix
    (LP: #1377325).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 27 Oct 2014 15:32:42 +0000
