=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Build-Depends: debhelper (>= 7.0.50~),
                gccgo-go [!amd64 !i386 !armhf],
                golang-go (>= 2:1.2) [amd64 i386 armhf],
-               libgo5 (>= 4.9.1-0ubuntu1) [!amd64 !i386 !armhf],
                lsb-release,
                python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
 Package: juju-core
-Architecture: amd64 i386
+Architecture: any
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
@@ -28,7 +27,7 @@
  with Juju environments.
 
 Package: juju
-Architecture: amd64 i386
+Architecture: all
 Depends: juju-core (>= ${source:Version}), ${misc:Depends}
 Description: next generation service orchestration system
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -40,8 +39,9 @@
  This is a dependency package providing the current version of Juju.
 
 Package: juju-local
-Architecture: amd64 i386
-Depends: cpu-checker,
+Architecture: all
+Depends: cloud-image-utils | cloud-utils,
+         cpu-checker,
          dbus,
          juju-core (>= ${source:Version}),
          lxc (>=1.0.0~alpha1-0ubuntu14),
